Subject: Re: [lojban] polyadic connectives

From: Robin Lee Powell <[email-masked]>
Date: Fri, 17 Aug 2001 23:28:36 -0700

On Sat, Aug 18, 2001 at 07:22:13AM +0100, And Rosta wrote:
> Robin:
> > On Sat, Aug 18, 2001 at 04:22:09AM +0100, And Rosta wrote:
> > > There was some recent discussion, instigated by pc, about
> > > more-than-binary connectives. For some, like an extended xor, it's
> > > easy to see how to render them: "exactly one of A, B, C is true". 
> > 
> > Umm, no.
> > 
> > IIRC, this is even mentioned in the book as an example of one that
> > doesn't work. Here's the table, assuming left associativity:
> > 
> > A xor B Result C
> > T F T T T
> > T F T F F
> > T T F F T
> > T T F T F
> > F T T F T
> > F T T T F
> > F F F T T
> > F F F F F
> > 
> > IOW, it's true when exactly one is true and when all are true. Rather
> > counter-intuitive.
> 
> In this case it doesn't mean "exactly one of A, B, C is true", which
> is an extension of "exactly one of A, B is true", which is one way of
> doing xor. I can't easily work out what your table means, but I
> imagine it's xor(A, xor(B, C)) or suchlike,

Well, yes, it was.

Is there another way to commute XOR that I'm unaware of?

If you're going to treat A xor B xor C as something other than one of:

(A xor B) xor C
A xor (B xor C)

then you've got an operator that's not xor anymore.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/